# canvas.h File Reference

Canvas Class Implementation. More...

`#include <map>`
`#include <list>`
`#include <ETL/handle>`
`#include <sigc++/signal.h>`
`#include <sigc++/connection.h>`
`#include "vector.h"`
`#include "string.h"`
`#include "canvasbase.h"`
`#include "valuenode.h"`
`#include "keyframe.h"`
`#include "renddesc.h"`
`#include "node.h"`
`#include "guid.h"`

Go to the source code of this file.

## Namespaces

namespace | synfig

## Classes

class | synfig::Canvas

## Defines

#define | CURRENT_CANVAS_VERSION "0.7"

## Functions

void | synfig::optimize_layers (Time time, Context context, Canvas::Handle op_canvas, bool seen_motion_blur_in_parent)

## Detailed Description

Canvas Class Implementation.

$Id$

## Define Documentation

#define CURRENT_CANVAS_VERSION "0.7"